var fs = require('fs');
var path = require('path');

String.prototype.insertAt=function(CharToInsert,Position){
    return this.slice(0,Position) + CharToInsert + this.slice(Position)
}

exports.writeFile = function(filepath, filedata){
    fs.writeFile(filepath, filedata, function(err) {
        if(err) {
            console.log(err);
            return false;
        }
        return true;           
    });
},

exports.readFileSync = function(filePath){
    return fs.readFileSync(filePath,{ encoding: 'utf8' });
}

exports.writeFileSync = function(filePath,data){
    return fs.writeFileSync(filePath,data,{ encoding: 'utf8' });
}

exports.getPascalCase = function(text){
    return text.substr(0,1).toUpperCase() + text.substr(1);
},

exports.getCamelCase = function(text){
    return text.substr(0,1).toLowerCase() + text.substr(1);
}

